## org.gnu.gtk.event
Class DialogEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.DialogEvent

All Implemented Interfaces:
  java.io.Serializable

public class DialogEvent
extends GtkEvent

This event is used to identify when a dialog receives an event

See Also:
  `DialogListener`, Serialized Form

Nested Class Summary
`static class` `DialogEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`DialogEvent(java.lang.Object source, EventType type)` Constructor for DialogEvent.

Method Summary
`int` `getResponse()` Return the response ID for a RESPONSE event.
`boolean` `isOfType(DialogEvent.Type aType)`
`void` `setResponse(int response)` Set the response ID for this event.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialogEvent

    public DialogEvent(java.lang.Object source,
                       EventType type)

  Constructor for DialogEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(DialogEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getResponse

    public int getResponse()

  Return the response ID for a RESPONSE event.

### setResponse

    public void setResponse(int response)

  Set the response ID for this event.